For the complete documentation index, see llms.txt. This page is also available as Markdown.

Custom headers

Retrieve tenant custom headers

get

Retrieve details of tenant custom headers.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json

The added custom SIP headers and forwarded SIP headers in tenant scope.

get/tenant/custom_headers
GET /api/tenant/custom_headers HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "add": [
    {
      "name": "text",
      "value": "text",
      "scope": "TRUNK"
    }
  ],
  "relay": [
    {
      "name": "text",
      "scope": "TRUNK"
    }
  ]
}

Update tenant custom headers

post

Update tenant custom headers.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

The added custom SIP headers and forwarded SIP headers in tenant scope.

Responses
200

OK

No content

post/tenant/custom_headers
POST /api/tenant/custom_headers HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 98

{
  "add": [
    {
      "name": "text",
      "value": "text",
      "scope": "TRUNK"
    }
  ],
  "relay": [
    {
      "name": "text",
      "scope": "TRUNK"
    }
  ]
}

No content

Was this helpful?